Add option Role: Issues visibility: Issues created by a member of the users group, or issues

assigned to a user of the group
Description

This feature would allow all the members of a group to see issues created by other members of that group. This allows the

administrator to restrict visibility for working groups within a project.

The most important use case for me is as follows. Create a Client role and a BigClient group and several users (Alex, Bob, Chris)

that are members of the BigClient group. When Alex creates an issue, it is automatically viewable by Bob and Chris. When the issue

is assigned to a developer, it's still visible to the members of the group that created it.

The current work-flow for the above use case is to create a single login account for the BigClient client, and create all issues that you

want visible to that user, with that user's account (or assign the issue to them temporarily). Using the group for the visibility criteria

avoids the need to actively manage the visibility on a per-issue case. This would be awesome.

The second problem this solves is to have the ability to give a large client (lots of people) multiple logins, so that issues can be

tracked to a department or person that requested the change, or that provided the information. This has been a problem for me in the

past, where multiple departments have different opinions.

Related issues:

Is duplicate of Redmine - Feature #16195: Role with Issue visibility Permissi... New

History

#1 - 2015-09-24 10:34 - Alexis Parent

+1

#2 - 2015-10-23 13:30 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #16195.

#3 - 2015-10-23 13:30 - Toshi MARUYAMA

- Is duplicate of Feature #16195: Role with Issue visibility Permission as "View Issues within current users' group" added
